Package org.eclipse.net4j.util.container.delegate

# Interface IContainerQueue<E>

All Superinterfaces:
  `Collection<E>`, `IContainer<E>`, `IContainerCollection<E>`, `INotifier`, `Iterable<E>`, `Queue<E>`

All Known Subinterfaces:
  `IContainerBlockingQueue<E>`

All Known Implementing Classes:
  `ContainerBlockingQueue`, `ContainerQueue`

public interface IContainerQueue<E> extends IContainerCollection<E>, Queue<E>
A `container` that is a `Queue`.

Author:
  Eike Stepper

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.container.IContainer

`IContainer.Modifiable<E>, IContainer.Persistable<E>, IContainer.Persistence<E>`

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.event.INotifier

`INotifier.INotifier2`

## Method Summary

Modifier and Type
Method
Description
`Queue<E>`
`getDelegate()`

### Methods inherited from interface java.util.Collection

`addAll, clear, contains, containsAll, equals, hashCode, isEmpty, iterator, parallelStream, remove, removeAll, removeIf, retainAll, size, spliterator, stream, toArray, toArray, toArray`

### Methods inherited from interface org.eclipse.net4j.util.container.IContainer

`getElements, isEmpty`

### Methods inherited from interface org.eclipse.net4j.util.event.INotifier

`addListener, getListeners, hasListeners, removeListener`

### Methods inherited from interface java.lang.Iterable

`forEach`

### Methods inherited from interface java.util.Queue

`add, element, offer, peek, poll, remove`

## Method Details

### getDelegate

Queue<E> getDelegate()

Specified by:
  `getDelegate` in interface `IContainerCollection<E>`